<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS_Home_work_2.1</title>
</head>
<body>
    <script>

// Task 1. Якщо змінна a дорівнює 10, то виведіть 'Вірно', інакше виведіть 'Неправильно'.

        // let a = prompt('Введіть число', '52');
        // b = parseFloat(a);
        // if(b === 10) {
        //     document.write('Вірно!');
        // }else{
        //     document.write('Неправильно(');
            
        //     document.write(' <br/>Перезапустіть сторінку, і спробуйте ще раз.')
        // }


// Task 2. У змінній min лежить число від 0 до 59. Визначте, в яку чверть години потрапляє 
// це число (У першу, другу, третю або четверту).

            // let time = prompt('Введіть часовий проміжок у хвилинах, від 0 до 59', '25');

            // minute = parseFloat(time);

            // if(minute > 0 && minute <= 15){
            //     document.write('Перша чверть години');
            // } else if(minute <= 30){
            //     document.write('Друга чверть години');
            // } else if(minute <= 45){
            //     document.write('Третя чверть години');
            // } else if(minute <= 60){
            //     document.write('Четверта чверть години')
            //  } else if(minute < 0 && minute > 60){
            //      document.write('Ви ввели не правильний час!')
            // }else{
            //     document.write('Ви ввели не правильний час!')
            //     document.write('<br/> Перезавантажте сторінку, і спробуйте ще раз.')
            // }

// Task 3.Змінна num може приймати 4 значення: 1, 2, 3 або 4. Якщо вона має значення '1', 
// то змінну result запишемо 'зима', якщо має значення '2' – 'весна' тощо. 
// Розв'яжіть завдання через switch-case.

            // let num = parseFloat(prompt('Введіть номер сезону, від 1 до 4', '2'));

            // if (num === 1){
            //     document.write('Зима');
            // } else if (num === 2){
            //     document.write('Весна');
            // } else if (num === 3){
            //     document.write('Літо');
            // } else if (num === 4){
            //     document.write('Осінь')
            // } else {
            //     alert('Ви ввели не правильне число!');
            //     alert('Перезапустіть сторінку, і спробуйте ще раз.');
            // }


            // let num = parseFloat(prompt('Введіть номер сезону, від 1 до 4', '2'));
            // switch (num) {
            //     case 1: document.write('Winter'); 
            //         break;

            //     case 2: 
            //     {
            //         document.write('Spring');
            //     };
            //     break;

            //     case 3:
            //     {
            //         document.write('Summer');
            //     }
            //     break;

            //     case 4: 
            //     {
            //         document.write('Fall');
            //     }
            //     break;
            // default: 
            //     alert('Ви ввели не правильне число!');
            //     alert('Перезапустіть сторінку, і спробуйте ще раз.');

            // }


//Task 4. Використовуючи цикли та умовні конструкції намалюйте ялинку.

                // for (let i = 0; i < 10; i++) {
                //     for (let j = (0 + i); j < 10; j++) {
                //         document.write("<img style='margin:0 2px; width:50px; height:50px; background-color: green;'>")
                //     }
                //     document.write("<br/>");
                // }
                
//Task 5. Використовуючи умовні конструкції перевірте вік користувача, якщо користувачеві буде від 18 
// до 35 років переведіть його на сайт google.com через 2 секунди, якщо вік користувача буде від 35 
// до 60 років, переведіть його на сайт https://www.uz.gov.ua/, якщо користувачеві буде до 18 років 
// покажіть йому першу серію лунтика з ютубу. 
// Виконайте це завдання за допомогою if, switch, тернарний оператор.

                    // let year = parseFloat(prompt('Введіть Ваш вік', '25'));

                    // if ( year < 18){
                    //     window.open("https://youtu.be/icdSZKq9-sM");
                    // } else if (year < 35){
                    //     window.open ("https://www.google.com/");
                    // } else if(year <= 60){
                    //     window.open ("https://www.uz.gov.ua/");
                    // } else if (year <= 128){
                    //     window.open("");
                    // } else if(year > 128){
                    //     window.open("https://uk.wikipedia.org/wiki/%D0%9A%D0%BD%D0%B8%D0%B3%D0%B0_%D1%80%D0%B5%D0%BA%D0%BE%D1%80%D0%B4%D1%96%D0%B2_%D0%93%D1%96%D0%BD%D0%BD%D0%B5%D1%81%D0%B0");
                    // } else {
                    //     window.open("https://uk.wikipedia.org/wiki/%D0%95%D0%BD%D0%B5%D1%97%D0%B4%D0%B0_(%D0%9A%D0%BE%D1%82%D0%BB%D1%8F%D1%80%D0%B5%D0%B2%D1%81%D1%8C%D0%BA%D0%B8%D0%B9)");
                    // }


                    // let year = parseFloat(prompt('Введіть Ваш вік', '25'));
                    // switch (year) {
                    //     case 1: window.open("https://youtu.be/icdSZKq9-sM");
                    // }
                    // break;

// Перепишіть 'if' з використанням оператора '?':
                    // if (a + b < 4) {
                    //     result = 'Low';
                    // } else {
                    //     result = 'Many';
                    // }

                    // a + b < 4 ? 'Low' : 'Many';

// Перепишіть if...else з використанням декількох операторів '?'.

                        // var message;
                        
                        // if (login == 'Вася') {
                        //     message = 'Привіт';
                        // } else if (login == 'Директор') {
                        //     message = 'Доброго дня';
                        // } else if (login == '') {
                        //     message = 'Логіну не має';
                        // } else {
                        //     message = '';
                        // }

                        // login = ('Вася') ? 'Привіт' :
                        //     ('Директор') ? 'Доброго дня' :
                        //     ('') ? 'Логіну не має' : '' ;

// Задача 2
// Реалізувати програму на Javascript, яка буде знаходити всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні.

// - Висести за допомогою модального вікна браузера число, яке введе користувач.
// - Вивести в консолі усі числа кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - 
// вивести в консоль фразу Sorry, no numbers
// - Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.

                                    let num = parseFloat(prompt('Введіть число', '2'));

                                    if (num % 5 == 0) {
                                        console.log();
                                    } else {
                                        console.error('Sorry, no numbers');
                                    }

    </script>

</body>
</html>